{% extends 'base.html.twig' %}

{% block icon %}fa fa-folder-o{% endblock %}
{% block title %}Fichiers liés au vocabulaire contrôlé {{vocabulary.name}} ({{vocabulary.identifier}}){% endblock %}
{% block breadcrumb %}
    <li>Référentiel archivage</li>
    <li><a href="{{ url('app_vocabulary') }}">Vocabulaires contrôlés</a></li>
    <li class="active">Fichiers liés au vocabulaire contrôlé {{vocabulary.name}} ({{vocabulary.identifier}})</li>
{% endblock %}

{% block body %}
    {% if vocabulary.editable %}
    <div class="container btn-separator">
        {% if can_access('app_vocabulary_edit') %}
            <button
                    type="button"
                    class="btn btn-success"
                    data-modal="ajax"
                    data-url="{{ url('app_vocabulary_file_add', {vocabulary: vocabulary.id}) }}"
                    data-title="Ajouter un fichier"
                    data-table="#{{ table.id() }}"
            >
                <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                Ajouter un fichier
            </button>
        {% endif %}
    </div>
    {% endif %}
    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des fichiers"
        }
    ) }}
{% endblock %}
